%global auto_sitelib 1

%if %{auto_sitelib}
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
%global python_sitelib /usr/lib/python?.?/site-packages
%endif

# Sigh ... also see commit in Makefile
# 1549852fd1c2805ba6329309f97d11190c37256e = 0.99.2
# 3a280a79ac80b4aeba3db787858afb2caa8f1f8b = 0.99.3
%global gitname CAShe
%global commit 3a280a79ac80b4aeba3db787858afb2caa8f1f8b
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Summary: CAS (Content Addressable Storage) cache for your data/caches
Name: cashe
Version: 0.99.3
Release: 9%{?dist}
License: LGPLv2+
URL: https://github.com/james-antill/CAShe
Source0: https://github.com/james-antill/%{gitname}/archive/%{commit}/%{gitname}-%{commit}.tar.gz
BuildRequires: python2
BuildRequires: python2-devel
BuildRequires: libxslt docbook-dtds docbook-style-xsl docbook-style-dsssl
# CheckRequires
BuildRequires: python2-nose
# Not sure how far back
Requires: python2-cashe = %{version}-%{release}
Provides: %{gitname} = %{version}
BuildArchitectures: noarch

%description
CAShe is a CAS (Content Addressable Storage) cache for your data/caches.
Everything that is stored in the CAShe can be deleted at any time, although
that will mainly happen when cleanup operations are called or on failures.

%package -n python2-cashe
%{?python_provide:%python_provide python2-cashe}
Summary: Python module for CAShe
# Not sure how far back

%description -n python2-cashe
CAShe is a CAS (Content Addressable Storage) cache for your data/caches.
Everything that is stored in the CAShe can be deleted at any time, although
that will mainly happen when cleanup operations are called or on failures.

%prep
%setup -qn %{gitname}-%{commit}

%build
%make_build

%check
make check

%install
%make_install
mkdir -p $RPM_BUILD_ROOT/var/cache/CAShe

# Ghost files ftw...
touch $RPM_BUILD_ROOT/var/cache/CAShe/config
mkdir $RPM_BUILD_ROOT/var/cache/CAShe/md5
mkdir $RPM_BUILD_ROOT/var/cache/CAShe/sha1
mkdir $RPM_BUILD_ROOT/var/cache/CAShe/sha256
mkdir $RPM_BUILD_ROOT/var/cache/CAShe/sha512

%files -n python2-cashe
%license LICENSE
%doc README.md AUTHORS TODO DESIGN.md
%{python_sitelib}/cashe
%dir /var/cache/CAShe
%ghost /var/cache/CAShe/config
%ghost /var/cache/CAShe/md5
%ghost /var/cache/CAShe/sha1
%ghost /var/cache/CAShe/sha256
%ghost /var/cache/CAShe/sha512

%files
%{_mandir}/man*/cashe.*
%{_bindir}/cashe


%changelog
* Wed Feb 07 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.99.3-9
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jul 29 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.99.3-7
- Rename python subpackage to python2-cashe

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.3-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 James Antill <james@and.org> - 0.99.3-2
- Initial upload into rawhide.

* Tue May 19 2015 James Antill <james@and.org> - 0.99.2-1
- Tweaks for Fedora policy review.

* Wed Feb 25 2015 James Antill <james@and.org> - 0.99-1
- Initial build.

